# VecStrideScatterAll

Scatters all the single components from separate vectors into a multi-component vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideScatterAll(Vec *s,Vec v,InsertMode addv)

Collective on Vec

### Input Parameter

| s | - the location where the subvectors are stored
| addv | - one of ADD_VALUES,INSERT_VALUES,MAX_VALUES

### Output Parameter

v -the multicomponent vector

### Notes

One must call VecSetBlockSize() before this routine to set the stride information, or use a vector created from a multicomponent DA.

The parallel layout of the vector and the subvector must be the same; i.e., nlocal of v = stride*(nlocal of s)

Not optimized; could be easily

### See Also

VecStrideNorm(), VecStrideScatter(), VecStrideMin(), VecStrideMax(), VecStrideGather(),
VecStrideScatterAll()

Level:advanced
Location: src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex16.c.html